Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface DomainMBean

public interface DomainMBean
extends WebLogicMBean

This MBean is the root of Weblogic Event Server MBeans. This MBean needs to be accessed to get to the deployed application's ApplicationMBean that may have been bootstrapped to the MBean Server. The following example shows how to access the DomainMBean

       ObjectName domainBeanName =
                        ObjectName.getInstance("com.bea.wlevs:Name="+domainName+",Type=Domain");
         DomainMBean domainBean = (DomainMBean)
                           MBeanServerInvocationHandler.newProxyInstance(
                                    mbsc,
                                    domainBeanName,
                                    DomainMBean.class,
                                    false);

Method Summary
`ObjectName[]` | `getApplicationMBeans()` Returns an array of `ObjectName` which corresponds to the naming key of the ApplicationMBean that may have been bootstrapped
`ObjectName` | `lookupApplicationMBean(String name)` Returns the `ObjectName` of the ApplicationMBean.

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getType, isRegistered`

Method Detail

### getApplicationMBeans

    public ObjectName[] getApplicationMBeans()

  Returns an array of `ObjectName` which corresponds to the naming key of the ApplicationMBean that may have been bootstrapped

  Returns:
    ObjectName[] - Collection of ObjectNames of ApplicationMBean
  See Also:
    `ApplicationMBean`

### lookupApplicationMBean

    public ObjectName lookupApplicationMBean(String name)

  Returns the `ObjectName` of the ApplicationMBean.

  Parameters:
    `name` - - Name of the ApplicationMBean
  Returns:
    ObjectName - ObjectName of the specified ApplicationMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD